Retrieve all Document Signers
Roles
Analytics Events
/v2/credentials/mobile/document-signersRetrieves all existing Document Signers from the tenant.
Analytic events
- MOBILE_CREDENTIAL_DOCUMENT_SIGNER_RETRIEVE_LIST_START
- MOBILE_CREDENTIAL_DOCUMENT_SIGNER_RETRIEVE_LIST_SUCCESS
- MOBILE_CREDENTIAL_DOCUMENT_SIGNER_RETRIEVE_LIST_FAIL
Authorization
bearerAuth In: header
Response Body
application/json
curl -X GET "https://example.vii.au01.mattr.global/v2/credentials/mobile/document-signers"{
"data": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"iacaId": "080c670a-2e90-4023-b79f-b706e55e9bc6",
"active": true,
"csrPem": "-----BEGIN CERTIFICATE REQUEST-----...-----END CERTIFICATE REQUEST-----"
}
],
"nextCursor": "string"
}How would you rate this page?
Revoke a Document Signer POST
Revokes an existing Document Signer, making it unusable for signing new mDocs. If the verifier checks the CRL referenced in the IACA certificate, it must treat revoked Document Signers and any mDocs they signed as untrusted. <Callout> Only available in implementations using managed IACAs. When using unmanaged (external) IACAs, you must revoke the Document Signer certificate directly with the CA that issued it. </Callout> ### **Analytic events** * MOBILE_CREDENTIAL_DOCUMENT_SIGNER_REVOKE_START * MOBILE_CREDENTIAL_DOCUMENT_SIGNER_REVOKE_SUCCESS * MOBILE_CREDENTIAL_DOCUMENT_SIGNER_REVOKE_FAIL
Retrieve a Document Signer GET
Retrieves an existing Document Signer by providing its ID. ### **Analytic events** * MOBILE_CREDENTIAL_DOCUMENT_SIGNER_RETRIEVE_START * MOBILE_CREDENTIAL_DOCUMENT_SIGNER_RETRIEVE_SUCCESS * MOBILE_CREDENTIAL_DOCUMENT_SIGNER_RETRIEVE_FAIL